Bug 495492 - error messages during Install to Hard Drive for F11 snap and then problems during shutdown
error messages during Install to Hard Drive for F11 snap and then problems du...
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: 495818 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-04-13 08:46 EDT by Peter F. Patel-Schneider
Modified: 2015-03-03 17:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-14 14:31:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter F. Patel-Schneider 2009-04-13 08:46:48 EDT
Description of problem:

Error messages show up during Install to Hard Drive for F11 snap

Version-Release number of selected component (if applicable):

F11 snap

How reproducible:

Always (2 of 2)

Steps to Reproduce:
1. Make USB key for F11 snap
2. Boot and "Install to Hard Drive" (on a ThinkPad T60p)
3. Take default actions to actual install
Actual results:

Three errors show up:

Unable to mount 210 MB Filesystem
org.freedesktop.DeviceKit.Disks.Error.inhibited: Daemon is being inhibited

and then for 196 MB Filesystem
and then for Fedora-11-Snap1-...

Installation proceeds to end, but then a shutdown never finishes. Manual poweroff and then reboot without USB key installed results in working firstboot and then working system, except that shutdown doesn't work

Expected results:

No error messages and shutdown proceeding normally

Additional info:
Comment 1 Chris Lumens 2009-04-14 13:36:50 EDT
Jeremy had some ideas about the DeviceKit error messages the other day, so reassigning...
Comment 2 Jeremy Katz 2009-04-14 13:43:50 EDT
Either we inhibit and people get dialogs now or we don't inhibit and we can't do mounting ourselves.  I think the former behavior is really not wanted... a user isn't going to be able to do anything if the daemon is being inhibited *anyway* so why try to tell them gobbledy-gook
Comment 3 David Zeuthen 2009-04-14 14:31:46 EDT
The bug is that the desktop automounter erroneously shows these error messages. It should just silently ignore them. FWIW, this is already fixed in Rawhide; it was caused because gnome-disk-utility broke ABI (an error enumeration changed) and gvfs wasn't rebuilt for that new ABI.
Comment 4 Jeremy Katz 2009-04-15 10:20:28 EDT
*** Bug 495818 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.